Loading...
Searching...
No Matches
casacore::ConvertScalar_global_functions_Scalar_conversion Struct Reference
casa package (libcasa_casa) » BasicMath_module

More...

`#include <ConvertScalar.h>`

## Public Member Functions

template<class T, class F>
void | convertScalar (T &out, F in)
void | convertScalar (Complex &out, DComplex in)

## Detailed Description

Templated functions to convert scalars from one type to another.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Templated functions to convert scalars from one type to another. They are useful to be able to convert a DComplex to a Complex in templated classes. A Complex,DComplex specialisation is necessary because the complex class in the standard C++ library does not have such an automatic conversion.

Definition at line 51 of file ConvertScalar.h.

## Member Function Documentation

## convertScalar() [1/2]

void casacore::ConvertScalar_global_functions_Scalar_conversion::convertScalar | ( | Complex & | out,
|  | DComplex | in )

inline

Definition at line 54 of file ConvertScalar.h.

## convertScalar() [2/2]

template<class T, class F>

void casacore::ConvertScalar_global_functions_Scalar_conversion::convertScalar | ( | T & | out,
|  | F | in )

inline

Definition at line 52 of file ConvertScalar.h.

The documentation for this struct was generated from the following file:

- casa/BasicMath/ConvertScalar.h